Name:           batctl
Version:        2012.2.0
Release:        1%{?dist}
Summary:        B.A.T.M.A.N. advanced control and management tool

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.open-mesh.org/
Source0:        http://downloads.open-mesh.org/batman/stable/sources/batctl/%{name}-%{version}.tar.gz


%description
batctl offers a convenient way to configure the batman-adv kernel module
as well as displaying debug information such as originator tables,
translation tables and the debug log. In combination with a bat-hosts
file batctl allows the use of host names instead of MAC addresses.

B.A.T.M.A.N. advanced operates on layer 2. Thus all hosts participating
in the virtual switched network are transparently connected together
for all protocols above layer 2. Therefore the common diagnosis tools
do not work as expected. To overcome these problems batctl contains the
commands ping, traceroute, tcpdump which provide similar functionality
to the normal ping(1), traceroute(1), tcpdump(1) commands, but modified
to layer 2 behaviour or using the B.A.T.M.A.N. advanced protocol.


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" %{name}


%install
make DESTDIR=%{buildroot} PREFIX=/usr install
install -d %{buildroot}%{_mandir}/man8
install -pm 0644 man/batctl.8 %{buildroot}%{_mandir}/man8


%files
%{_sbindir}/%{name}
%{_mandir}/man8/*
%doc README bat-hosts.sample


%changelog
* Wed May 25 2011 John W. Linville <linville@redhat.com> - 2012.2.0-1
- Update for latest upstream version

* Wed May 25 2011 John W. Linville <linville@redhat.com> - 2011.1.0-1
- Initial release for Fedora
